
Figure - Bug #113737
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.documentsui
2022-11-07 14:02 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

执行命令：

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 200  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 1080000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// NOT RESPONDING: com.android.documentsui (pid 7408)

ANR in com.android.documentsui (com.android.documentsui/.files.FilesActivity)

PID: 7408

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.documentsui/.files.FilesActivity

ErrorId: 2916c937-278b-498f-8f04-cd139e92d0f7

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=177175

full avg10=0.00 avg60=0.00 avg300=0.00 total=74190

----- End output from /proc/pressure/memory -----

CPU usage from 6679ms to 0ms ago (2022-11-04 10:10:01.206 to 2022-11-04 10:10:07.885):

  98% 1247/tlog: 3.7% user + 95% kernel / faults: 4 minor

  90% 7232/tlog: 3.5% user + 86% kernel / faults: 3 minor

  14% 1136/system_server: 6% user + 8.2% kernel / faults: 2393 minor

  5.9% 8510/kworker/u16:9-devfreq_wq: 0% user + 5.9% kernel

  9.1% 8463/com.microsoft.emmx: 3.3% user + 5.7% kernel / faults: 720 minor

  6.6% 503/logd: 0.5% user + 6% kernel / faults: 15 minor

...

【日志】
Tlog和ANR日志见Bug #113491 附件

History

#1 - 2022-11-07 16:59 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-11-09 18:49 - CD Test赵飞

Log已传至FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113491/Tlog&ANR.zip

#3 - 2022-11-16 19:53 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#4 - 2022-11-16 19:56 - CDTS-TEST 周婷

- Due date deleted (2022-11-14)

#5 - 2022-12-05 17:36 - CD APP-王营

- Due date set to 2022-12-15

#6 - 2022-12-27 16:21 - CD APP-王营

- Status changed from New to ASSIGNED

#7 - 2022-12-27 17:04 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#8 - 2022-12-28 14:38 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#9 - 2022-12-28 14:41 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
